Package org.bukkit.event.entity

# Enum Class EntityPotionEffectEvent.Action

java.lang.Object
java.lang.Enum<EntityPotionEffectEvent.Action>
org.bukkit.event.entity.EntityPotionEffectEvent.Action

All Implemented Interfaces:
  `Serializable`, `Comparable<EntityPotionEffectEvent.Action>`, `Constable`

Enclosing class:
  EntityPotionEffectEvent

public static enum EntityPotionEffectEvent.Action extends Enum<EntityPotionEffectEvent.Action>
An enum to specify the action to be performed.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADDED`
When the potion effect is added because the entity didn't have it's type.
`CHANGED`
When the entity already had the potion effect type, but the effect is changed.
`CLEARED`
When the effect is removed due to all effects being removed.
`REMOVED`
When the potion effect type is completely removed.

## Method Summary

Modifier and Type
Method
Description
`static EntityPotionEffectEvent.Action`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EntityPotionEffectEvent.Action[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ADDED

public static final EntityPotionEffectEvent.Action ADDED
When the potion effect is added because the entity didn't have it's type.

### CHANGED

public static final EntityPotionEffectEvent.Action CHANGED
When the entity already had the potion effect type, but the effect is changed.

### CLEARED

public static final EntityPotionEffectEvent.Action CLEARED
When the effect is removed due to all effects being removed.

### REMOVED

public static final EntityPotionEffectEvent.Action REMOVED
When the potion effect type is completely removed.

## Method Details

### values

public static EntityPotionEffectEvent.Action[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EntityPotionEffectEvent.Action valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null